Bug 116388 - gdm 'denied' errors
gdm 'denied' errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-20 12:41 EST by Sean Neeley
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 22:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Neeley 2004-02-20 12:41:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
I'm seeing the following errors appear on the console:

avc: denied { create } for pid=1514 exe=/usr/bin/gdm-binary
name=.gdmfifo scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:file_t tclass=fifo_file

avc: denied { setattr } for pid=1514 exe=/usr/bin/gdm-binary
name=.gdmfifo dev=hda2 ino=3912821 scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:file_t tclass=fifo_file

I'm as using KDE as my desktop.  PID 1514 is /usr/bin/gdm-binary with
the -nodaemon option.  There is another identical process running
under pid 1555.  I don't know if that matters.

Version-Release number of selected component (if applicable):
gdm-2.4.4.5-9

How reproducible:
Always

Steps to Reproduce:
1. Reboot machine
2. Watch for errors on the console window
3.
    

Expected Results:  No error messages.

Additional info:
Comment 1 Sean Neeley 2004-02-23 17:58:58 EST
Saw these error messages appear today:

avc: denied { getattr } for pid=1760 exe=/usr/bin/find path=/proc/mtrr
dev= ino=4316 scontext=root:sysadm_r:sysadm_t
tcontext=system_u:object_r:mtrr_device_t tclass=file

avc: denied { read write } for pid=1763 exe=/bin/bash
path=socket:[8156] dev= ino=8156 scontext=root:sysadm_r:sysadm_t
tcontext=system_u:system_r:kernel_t tclass=unix_stream_socket

avc: denied { ioctl } for pid=1763 exe=/bin/bash path=socket:[8156]
dev= ino=8156 scontext=root:sysadm_r:sysadm_t
tcontext=system_u:system_r:kernel_t tclass=unix_stream_socket
Comment 2 Warren Togami 2004-04-17 06:44:22 EDT
Please upgrade to latest FC development in all packages, boot in
permissive mode, switch to VT1, fixfiles relabel, reboot in enforcing
mode, then see if these problems still persist.  I highly suspect gdm
is fine.  Many of the other errors you pasted here are unrelated and
probably also solved by the hundreds of other fixed policy recently.

Please report back.
Comment 3 Warren Togami 2004-05-03 22:02:36 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.